Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suecrad15.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suecrad15.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suecrad15.F90	(revision 5154)
@@ -78,8 +78,7 @@
 USE YOMPRAD  , ONLY : LODBGRADI,LODBGRADL
 USE YOMRADF  , ONLY : EMTD     ,EMTU      ,TRSW    ,RMOON
+USE lmdz_clesphys
 
 IMPLICIT NONE
-
-include "clesphys.h"
 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLEV
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphec.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphec.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphec.F90	(revision 5154)
@@ -88,8 +88,8 @@
 USE YOMCT0  , ONLY  : LSCMEC   ,LROUGH   ,REXTZ0M  ,REXTZ0H
 USE lmdz_vertical_layers, ONLY: ap,bp
+USE lmdz_clesphys
+USE lmdz_yoethf
 
 IMPLICIT NONE
-include "YOETHF.h"
-include "clesphys.h"
 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KULOUT 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw.F90	(revision 5154)
@@ -74,8 +74,7 @@
 ! NSW mis dans .def MPL 20140211
 USE lmdz_writefield_phy, ONLY: writefield_phy
+USE lmdz_clesphys
 
 IMPLICIT NONE
-
-include "clesphys.h"
 
 integer, save :: icount=0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw.intfb.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw.intfb.h	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw.intfb.h	(revision 5154)
@@ -13,5 +13,6 @@
  & ) 
 USE PARKIND1 ,ONLY : JPIM ,JPRB
-include "clesphys.h"    
+USE lmdz_clesphys
+
 INTEGER(KIND=JPIM),INTENT(IN) :: KLON
 INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw1s.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw1s.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw1s.F90	(revision 5154)
@@ -73,8 +73,7 @@
 ! NSW mis dans .def MPL 20140211
 USE lmdz_writefield_phy, ONLY: writefield_phy
+USE lmdz_clesphys
 
 IMPLICIT NONE
-
-include "clesphys.h"
 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw1s.intfb.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw1s.intfb.h	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw1s.intfb.h	(revision 5154)
@@ -8,5 +8,6 @@
  & ) 
 USE PARKIND1 ,ONLY : JPIM ,JPRB
-include "clesphys.h"
+USE lmdz_clesphys
+
 INTEGER(KIND=JPIM),INTENT(IN) :: KLON
 INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swclr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swclr.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swclr.F90	(revision 5154)
@@ -70,7 +70,7 @@
 USE YOERDI   , ONLY : REPCLC
 USE YOERDU   , ONLY : REPSCT
+USE lmdz_clesphys
 
 IMPLICIT NONE
-INCLUDE "clesphys.h"
 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swclr.intfb.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swclr.intfb.h	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swclr.intfb.h	(revision 5154)
@@ -8,5 +8,6 @@
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE YOERAD , ONLY : NOVLP 
-include "clesphys.h"
+USE lmdz_clesphys
+
 INTEGER(KIND=JPIM),INTENT(IN) :: KLON
 INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swni.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swni.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swni.F90	(revision 5154)
@@ -81,8 +81,7 @@
 USE YOERDU   , ONLY : REPLOG   ,REPSCQ   ,REPSC
 USE lmdz_writefield_phy, ONLY: writefield_phy
+USE lmdz_clesphys
 
 IMPLICIT NONE
-
-include "clesphys.h"
 
 character*1 str1
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swni.intfb.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swni.intfb.h	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swni.intfb.h	(revision 5154)
@@ -9,5 +9,6 @@
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE YOERAD , ONLY : NOVLP
-include "clesphys.h"
+USE lmdz_clesphys
+
 INTEGER(KIND=JPIM),INTENT(IN) :: KLON
 INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swr.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swr.F90	(revision 5154)
@@ -66,9 +66,9 @@
 USE YOEOVLP  , ONLY : RA1OVLP
 USE lmdz_writefield_phy, ONLY: writefield_phy
+USE lmdz_clesphys
 
 IMPLICIT NONE
 
-include "clesphys.h" 
-INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
+INTEGER(KIND=JPIM),INTENT(IN)    :: KLON
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLEV 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KIDIA 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swr.intfb.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swr.intfb.h	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swr.intfb.h	(revision 5154)
@@ -8,5 +8,6 @@
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE YOERAD , ONLY : NOVLP 
-include "clesphys.h"
+USE lmdz_clesphys
+
 INTEGER(KIND=JPIM),INTENT(IN) :: KLON
 INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swu.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swu.F90	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swu.F90	(revision 5154)
@@ -64,9 +64,9 @@
  & RTDH2O   ,RTDUMG   ,RTH2O    ,RTUMG  
 USE YOEOVLP  , ONLY : RA1OVLP
+USE lmdz_clesphys
 
 IMPLICIT NONE
 
-include "clesphys.h"
-INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
+INTEGER(KIND=JPIM),INTENT(IN)    :: KLON
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLEV 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KIDIA 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swu.intfb.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swu.intfb.h	(revision 5153)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swu.intfb.h	(revision 5154)
@@ -7,5 +7,6 @@
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE YOERAD , ONLY : NOVLP
-include "clesphys.h"
+USE lmdz_clesphys
+
 INTEGER(KIND=JPIM),INTENT(IN) :: KLON
 INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
